What is required of my phone?